Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.builder
Class DefaultBuildExecutor

    java.lang.Object
      com.atlassian.bamboo.container.BambooTask
          com.atlassian.bamboo.builder.DefaultBuildExecutor

All Implemented Interfaces:
  BuildExecutor, Runnable

    public class DefaultBuildExecutor

extends BambooTask
implements BuildExecutor

This class builds the build, notifies any listeners, updates the build results and pipes them out to the next task.

Constructor Summary
`DefaultBuildExecutor(BlockingQueue codeChangeQueue, BlockingQueue completedBuildQueue, BuildEventNotifier buildEventNotifier, ErrorHandler errorHandler)`

Method Summary
`BuildResults` | `build(BuildResults buildInfo, Build build)` Build the given build, based on the changesSinceLastBuild
`protected void` | `doTask()` The task we're executing
`BuildManager` | `getBuildManager()`
`BuildResultsIndexer` | `getBuildResultsIndexer()`
`BuildResultsSummaryManager` | `getBuildResultsSummaryManager()`
`PluginManager` | `getPluginManager()`
`boolean` | `isCurrentlyBuilding(String buildKey)` Is the builder currently building a build with the given build name?
`void` | `performCustomBuildProcess(Build build, BuildResults buildInfo)`
`void` | `setBuildManager(BuildManager buildManager)`
`void` | `setBuildResultsIndexer(BuildResultsIndexer buildResultsIndexer)`
`void` | `setBuildResultsSummaryManager(BuildResultsSummaryManager buildResultsSummaryManager)`
`void` | `setPluginManager(PluginManager pluginManager)`
`void` | `setUiBuildQueue(BuildQueue uiBuildQueue)`

Methods inherited from class com.atlassian.bamboo.container.BambooTask
`getPersister, init, isRunning, run, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultBuildExecutor

    public DefaultBuildExecutor(BlockingQueue codeChangeQueue,
                                BlockingQueue completedBuildQueue,
                                BuildEventNotifier buildEventNotifier,
                                ErrorHandler errorHandler)

Method Detail

### doTask

    protected void doTask()

  Description copied from class: `BambooTask`
  The task we're executing

  Specified by:
    `doTask` in class `BambooTask`

### build

    public BuildResults build(BuildResults buildInfo,
                              Build build)
                       throws Exception

  Description copied from interface: `BuildExecutor`
  Build the given build, based on the changesSinceLastBuild

  Specified by:
    `build` in interface `BuildExecutor`
  Parameters:
    `buildInfo` - The current build results, containing information from previous tasks
  Returns:
    The sourceBuildResults plus the results of this task
  Throws:
    `Exception`

### performCustomBuildProcess

    public void performCustomBuildProcess(Build build,
                                          BuildResults buildInfo)

### getBuildResultsIndexer

    public BuildResultsIndexer getBuildResultsIndexer()

### getBuildResultsSummaryManager

    public BuildResultsSummaryManager getBuildResultsSummaryManager()

### isCurrentlyBuilding

    public boolean isCurrentlyBuilding(String buildKey)

  Is the builder currently building a build with the given build name?

  Specified by:
    `isCurrentlyBuilding` in interface `BuildExecutor`
  Parameters:
    `buildKey` - The key of the build we're checking
  Returns:
    true if the build currently being built has the given buildKey, false otherwise

### getBuildManager

    public BuildManager getBuildManager()

### getPluginManager

    public PluginManager getPluginManager()

### setPluginManager

    public void setPluginManager(PluginManager pluginManager)

### setBuildManager

    public void setBuildManager(BuildManager buildManager)

### setBuildResultsIndexer

    public void setBuildResultsIndexer(BuildResultsIndexer buildResultsIndexer)

### setBuildResultsSummaryManager

    public void setBuildResultsSummaryManager(BuildResultsSummaryManager buildResultsSummaryManager)

### setUiBuildQueue

    public void setUiBuildQueue(BuildQueue uiBuildQueue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.